> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payroll Platform

> Retrieves a specific payroll platform

<Info>
  Learn more about [Payroll
  Platforms](/api-reference/glossary#payroll-platform) in the Glossary.
</Info>


## OpenAPI

````yaml api-reference/openapi.demo.json GET /v1/payroll-platforms/{payroll_platform}
openapi: 3.0.3
info:
  title: Payroll Integrations Public API
  version: 1.0.0
  description: Public API for Payroll Integrations platform
  license:
    name: MIT
servers:
  - url: https://demo1-api.payrollintegrationsdemo.com
    description: Demo
  - url: https://demo2-api.payrollintegrationsdemo.com
    description: Demo
  - url: https://demo3-api.payrollintegrationsdemo.com
    description: Demo
security: []
tags:
  - name: auth
  - name: employer-identifiers
  - name: meta
  - name: payroll-connections
  - name: payroll-platforms
  - name: roles
  - name: users
  - name: webhooks
paths:
  /v1/payroll-platforms/{payroll_platform}:
    get:
      tags:
        - payroll-platforms
      description: Retrieves a specific payroll platform
      operationId: get_v1_payroll_platforms_payroll_platform
      parameters:
        - name: payroll_platform
          in: path
          required: true
          schema:
            type: string
          example: sample-platform-1
      responses:
        '200':
          description: Successfully retrieved payroll platform
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayrollPlatform'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Invalid or missing token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers:
            WWW-Authenticate:
              schema:
                description: Authentication challenge (Bearer)
                type: string
              description: Authentication challenge (Bearer)
        '403':
          description: Insufficient permissions or access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Payroll platform not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers:
            Retry-After:
              schema:
                description: Number of seconds to wait before retrying
                type: string
              description: Number of seconds to wait before retrying
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    PayrollPlatform:
      type: object
      properties:
        id:
          description: A unique string identifier
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        displayName:
          description: A human-readable name for the entity
          type: string
        supports:
          description: A map of features supported by this payroll platform
          type: object
          properties:
            payroll:
              description: If true, this platform supports basic payroll delivery (180)
              type: boolean
            census:
              description: If true, this platform supports pulling census data (180)
              type: boolean
            changeSets:
              description: >-
                If true, this platform supports recieving rate changes such as
                deductions and benefits (360)
              type: boolean
          required:
            - payroll
            - census
            - changeSets
          additionalProperties: false
        onboarding:
          type: object
          properties:
            selfGuided:
              description: >-
                If true, this platform is supports our self-guided onboarding
                process
              type: boolean
          required:
            - selfGuided
          additionalProperties: false
      required:
        - id
        - displayName
        - supports
        - onboarding
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        message:
          description: Human-readable error message
          type: string
        errors:
          description: Array of specific error details
          type: array
          items:
            type: string
      required:
        - message
        - errors
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token obtained from the /v1/auth/token endpoint. Send as:
        Authorization: Bearer <token>.

````